# DO NOT DELETE: Beginning of Haskell dependencies
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/mtl/Control/Monad/Writer/Class.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.hi  : %hi: %o  libraries/mtl/Control/Monad/Writer/Class.hs))
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Monoid.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Reader.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Maybe.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Identity.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Except.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Error.hi
libraries/mtl/dist-boot/build/Control/Monad/Trans.o : libraries/mtl/Control/Monad/Trans.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Trans.hi  : %hi: %o  libraries/mtl/Control/Monad/Trans.hs))
libraries/mtl/dist-boot/build/Control/Monad/Trans.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Trans.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/Trans.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/IO/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Lazy.o : libraries/mtl/Control/Monad/Writer/Lazy.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Writer/Lazy.hi  : %hi: %o  libraries/mtl/Control/Monad/Writer/Lazy.hs))
libraries/mtl/dist-boot/build/Control/Monad/Writer/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Monoid.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/Fix.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Lazy.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Lazy.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Lazy.o : libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer.o : libraries/mtl/Control/Monad/Writer.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Writer.hi  : %hi: %o  libraries/mtl/Control/Monad/Writer.hs))
libraries/mtl/dist-boot/build/Control/Monad/Writer.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer.o : libraries/mtl/dist-boot/build/Control/Monad/Writer/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Strict.o : libraries/mtl/Control/Monad/Writer/Strict.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Writer/Strict.hi  : %hi: %o  libraries/mtl/Control/Monad/Writer/Strict.hs))
libraries/mtl/dist-boot/build/Control/Monad/Writer/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Monoid.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/Fix.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Strict.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Strict.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/Writer/Strict.o : libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/mtl/Control/Monad/State/Class.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/State/Class.hi  : %hi: %o  libraries/mtl/Control/Monad/State/Class.hs))
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Monoid.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Reader.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Maybe.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/List.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Identity.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Except.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Error.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Cont.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Lazy.o : libraries/mtl/Control/Monad/State/Lazy.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/State/Lazy.hi  : %hi: %o  libraries/mtl/Control/Monad/State/Lazy.hs))
libraries/mtl/dist-boot/build/Control/Monad/State/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/Fix.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Lazy.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Lazy.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Lazy.o : libraries/mtl/dist-boot/build/Control/Monad/State/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Strict.o : libraries/mtl/Control/Monad/State/Strict.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/State/Strict.hi  : %hi: %o  libraries/mtl/Control/Monad/State/Strict.hs))
libraries/mtl/dist-boot/build/Control/Monad/State/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/Fix.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Strict.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Strict.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/State/Strict.o : libraries/mtl/dist-boot/build/Control/Monad/State/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/State.o : libraries/mtl/Control/Monad/State.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/State.hi  : %hi: %o  libraries/mtl/Control/Monad/State.hs))
libraries/mtl/dist-boot/build/Control/Monad/State.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/State.o : libraries/mtl/dist-boot/build/Control/Monad/State/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/mtl/Control/Monad/Reader/Class.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.hi  : %hi: %o  libraries/mtl/Control/Monad/Reader/Class.hs))
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Monoid.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Reader.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Reader.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Maybe.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/List.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Identity.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Error.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Except.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Cont.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader.o : libraries/mtl/Control/Monad/Reader.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Reader.hi  : %hi: %o  libraries/mtl/Control/Monad/Reader.hs))
libraries/mtl/dist-boot/build/Control/Monad/Reader.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/Fix.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Reader.hi
libraries/mtl/dist-boot/build/Control/Monad/Reader.o : libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/mtl/Control/Monad/RWS/Class.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.hi  : %hi: %o  libraries/mtl/Control/Monad/RWS/Class.hs))
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Monoid.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Identity.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Maybe.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Except.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Error.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/mtl/dist-boot/build/Control/Monad/Writer/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/mtl/dist-boot/build/Control/Monad/State/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.o : libraries/mtl/dist-boot/build/Control/Monad/Reader/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Lazy.o : libraries/mtl/Control/Monad/RWS/Lazy.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/RWS/Lazy.hi  : %hi: %o  libraries/mtl/Control/Monad/RWS/Lazy.hs))
libraries/mtl/dist-boot/build/Control/Monad/RWS/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Monoid.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/Fix.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Lazy.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Lazy.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Lazy.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Lazy.o : libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Strict.o : libraries/mtl/Control/Monad/RWS/Strict.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/RWS/Strict.hi  : %hi: %o  libraries/mtl/Control/Monad/RWS/Strict.hs))
libraries/mtl/dist-boot/build/Control/Monad/RWS/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Monoid.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/Fix.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Strict.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Strict.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Strict.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS/Strict.o : libraries/mtl/dist-boot/build/Control/Monad/RWS/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS.o : libraries/mtl/Control/Monad/RWS.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/RWS.hi  : %hi: %o  libraries/mtl/Control/Monad/RWS.hs))
libraries/mtl/dist-boot/build/Control/Monad/RWS.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/RWS.o : libraries/mtl/dist-boot/build/Control/Monad/RWS/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/List.o : libraries/mtl/Control/Monad/List.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/List.hi  : %hi: %o  libraries/mtl/Control/Monad/List.hs))
libraries/mtl/dist-boot/build/Control/Monad/List.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/List.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/List.hi
libraries/mtl/dist-boot/build/Control/Monad/List.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/List.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Identity.o : libraries/mtl/Control/Monad/Identity.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Identity.hi  : %hi: %o  libraries/mtl/Control/Monad/Identity.hs))
libraries/mtl/dist-boot/build/Control/Monad/Identity.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Identity.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/Fix.hi
libraries/mtl/dist-boot/build/Control/Monad/Identity.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Identity.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Identity.hi
libraries/mtl/dist-boot/build/Control/Monad/Identity.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Functor/Identity.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/mtl/Control/Monad/Error/Class.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Error/Class.hi  : %hi: %o  libraries/mtl/Control/Monad/Error/Class.hs))
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Monoid.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Exception.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Reader.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Maybe.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/List.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Identity.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Error.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Except.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Error.hi
libraries/mtl/dist-boot/build/Control/Monad/Error/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Except.hi
libraries/mtl/dist-boot/build/Control/Monad/Except.o : libraries/mtl/Control/Monad/Except.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Except.hi  : %hi: %o  libraries/mtl/Control/Monad/Except.hs))
libraries/mtl/dist-boot/build/Control/Monad/Except.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Except.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/Fix.hi
libraries/mtl/dist-boot/build/Control/Monad/Except.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Except.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Except.hi
libraries/mtl/dist-boot/build/Control/Monad/Except.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/Except.o : libraries/mtl/dist-boot/build/Control/Monad/Error/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/Error.o : libraries/mtl/Control/Monad/Error.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Error.hi  : %hi: %o  libraries/mtl/Control/Monad/Error.hs))
libraries/mtl/dist-boot/build/Control/Monad/Error.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Error.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad/Fix.hi
libraries/mtl/dist-boot/build/Control/Monad/Error.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Error.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Error.hi
libraries/mtl/dist-boot/build/Control/Monad/Error.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/Error.o : libraries/mtl/dist-boot/build/Control/Monad/Error/Class.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/mtl/Control/Monad/Cont/Class.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.hi  : %hi: %o  libraries/mtl/Control/Monad/Cont/Class.hs))
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Data/Monoid.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Writer/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/State/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Strict.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/RWS/Lazy.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Reader.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Maybe.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/List.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Identity.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Except.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Error.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Cont.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Cont.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont.o : libraries/mtl/Control/Monad/Cont.hs
$(eval $(call hi-rule,libraries/mtl/dist-boot/build/Control/Monad/Cont.hi  : %hi: %o  libraries/mtl/Control/Monad/Cont.hs))
libraries/mtl/dist-boot/build/Control/Monad/Cont.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Prelude.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont.o : /opt/ghc-8.0.2/lib/ghc-8.0.2/base-4.9.1.0/Control/Monad.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont.o : libraries/transformers/dist-boot/build/Control/Monad/Trans/Cont.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont.o : libraries/mtl/dist-boot/build/Control/Monad/Trans.hi
libraries/mtl/dist-boot/build/Control/Monad/Cont.o : libraries/mtl/dist-boot/build/Control/Monad/Cont/Class.hi
# DO NOT DELETE: End of Haskell dependencies
libraries/mtl_dist-boot_depfile_haskell_EXISTS = YES
